Skip to main content
GET
/
clients
/
{clientId}
/
addresses
/
primary
Get primary address for a client
curl --request GET \
  --url https://api.artu.ai/clients/{clientId}/addresses/primary \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isPrimary": true,
  "street": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postalCode": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "type": "home",
  "country": "<unknown>",
  "externalId": "<string>",
  "metadata": {},
  "scopeData": {
    "MX": {
      "exteriorNumber": "<string>",
      "interiorNumber": "<string>",
      "neighborhood": "<string>",
      "municipality": "<string>",
      "betweenStreets": "<string>",
      "reference": "<string>",
      "cnbv": {
        "TRANSMISOR": {}
      }
    },
    "US": "<unknown>"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

clientId
string<uuid>
required

Query Parameters

type
enum<string>
Available options:
home,
business,
mailing,
legal,
other

Response

200 - application/json
object | null

OK

clientId
string<uuid>
required

Client ID

isPrimary
boolean
required
street
string
required

Street

Minimum string length: 1
city
string
required

City

Minimum string length: 1
state
string
required

State

Minimum string length: 1
postalCode
string
required

Postal Code

Minimum string length: 1
scope
enum<string>
required
Available options:
base,
MX:AV,
MX:AV:ARI,
MX:AV:AVI,
MX:AV:INM,
MX:AV:JYS,
MX:AV:MJR,
MX:AV:MPC,
MX:AV:TSC,
MX:AV:VEH,
MX:CNBV,
MX:CNBV:TRANSMISOR,
MX
id
string<uuid>
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
type
enum<string>
default:home

Type

Available options:
home,
business,
mailing,
legal,
other
country
any

Country

externalId
string

External ID

metadata
object

Metadata

scopeData
object